Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class VarSignature

    java.lang.Object
      jif.types.VarSignature

All Implemented Interfaces:
  DefaultSignature

    public class VarSignature

extends java.lang.Object
implements DefaultSignature

Constructor Summary
`VarSignature(JifTypeSystem ts)`

Method Summary
`Label` | `defaultArgBound(polyglot.ast.Formal f)`
`Label` | `defaultArrayBaseLabel(polyglot.types.Type baseType)`
`Label` | `defaultFieldLabel(polyglot.ast.FieldDecl fd)`
`Label` | `defaultPCBound(polyglot.util.Position pos, java.lang.String methodName)`
`Label` | `defaultReturnLabel(polyglot.ast.ProcedureDecl pd)`
`Label` | `defaultReturnValueLabel(polyglot.ast.ProcedureDecl pd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VarSignature

    public VarSignature(JifTypeSystem ts)

Method Detail

### defaultPCBound

    public Label defaultPCBound(polyglot.util.Position pos,
                                java.lang.String methodName)

  Specified by:
    `defaultPCBound` in interface `DefaultSignature`

### defaultArgBound

    public Label defaultArgBound(polyglot.ast.Formal f)

  Specified by:
    `defaultArgBound` in interface `DefaultSignature`

### defaultReturnLabel

    public Label defaultReturnLabel(polyglot.ast.ProcedureDecl pd)

  Specified by:
    `defaultReturnLabel` in interface `DefaultSignature`

### defaultReturnValueLabel

    public Label defaultReturnValueLabel(polyglot.ast.ProcedureDecl pd)

  Specified by:
    `defaultReturnValueLabel` in interface `DefaultSignature`

### defaultFieldLabel

    public Label defaultFieldLabel(polyglot.ast.FieldDecl fd)

  Specified by:
    `defaultFieldLabel` in interface `DefaultSignature`

### defaultArrayBaseLabel

    public Label defaultArrayBaseLabel(polyglot.types.Type baseType)

  Specified by:
    `defaultArrayBaseLabel` in interface `DefaultSignature`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD